/*
===============================================================================
 Name        : acc.c
 Author      : Ichiro Shirasaka
 Version     : Ver.1.0 2012.09.10
 Copyright   : Copyright (C) 2012 Ichiro Shirasaka
 Description : UIEXB TEST MAIN
===============================================================================
// ---- License Information -------------------------------
// Anyone can FREELY use this code fully or partially
// under conditions shown below.
// 1. You may use this code only for individual purpose,
//    and educational purpose.
//    Do not use this code for business even if partially.
// 2. You can copy, modify and distribute this code.
// 3. You should remain this header text in your codes
//   including Copyright credit and License Information.
// 4. Your codes should inherit this license information.
//=========================================================
// ---- Patent Notice -------------------------------------
// I have not cared whether this system (hw + sw) causes
// infringement on the patent, copyright, trademark,
// or trade secret rights of others. You have all
// responsibilities for determining if your designs
// and products infringe on the intellectual property
// rights of others, when you use technical information
// included in this system for your business.
//=========================================================
// ---- Disclaimers ---------------------------------------
// The function and reliability of this system are not
// guaranteed. They may cause any damages to loss of
// properties, data, money, profits, life, or business.
// By adopting this system even partially, you assume
// all responsibility for its use.
//=========================================================
*/

#include "acc.h"

/* ACC I2C write transfer */
void write_acc(int sad, int subads, int data)
{
	/* Write SLA(W), address and one data byte */
	I2CWriteLength = 3;		//Write transfer byte = 3byte
	I2CReadLength = 0;		//Read transfer byte = 0byte
	I2CMasterBuffer[0] = sad;	//Slave address
	I2CMasterBuffer[1] = subads;	//sub address
	I2CMasterBuffer[2] = data;		//Data
	I2CEngine();				//Go I2C Transfer engine
}

/* ACC I2C read transfer */
volatile uint8_t *read_acc(int sad, int subads, int len)
{
	/* Write SLA(W), address, SLA(R), and read one byte back. */
	I2CWriteLength = 2;		//Write transfer byte = 2byte
	I2CReadLength = len;	//Read transfer byte = len byte
	I2CMasterBuffer[0] = sad;	//Slave address
	I2CMasterBuffer[1] = subads;		//sub address
	I2CMasterBuffer[2] = sad | RD_BIT;	//Read transfer
	I2CEngine();				//Go I2C Transfer engine
	return I2CSlaveBuffer;
}

/* SETING ACC */
void accini(void)
{
	write_acc(MFSAD, 0, 0x9c);				//CRA_REG_M
	write_acc(MFSAD, 2, 0x00);				//MR_REG_M
	write_acc(ACCSAD, 0x20, 0x57);			//CTRL_REG1_A
}

