﻿/*
===============================================================================
 Name        : bz.c
 Author      : Ichiro Shirasaka
 Version     : Ver.1.0 2012.09.10
 Copyright   : Copyright (C) 2012 Ichiro Shirasaka
 Description : UIEXB TEST MAIN
===============================================================================
// ---- License Information -------------------------------
// Anyone can FREELY use this code fully or partially
// under conditions shown below.
// 1. You may use this code only for individual purpose,
//    and educational purpose.
//    Do not use this code for business even if partially.
// 2. You can copy, modify and distribute this code.
// 3. You should remain this header text in your codes
//   including Copyright credit and License Information.
// 4. Your codes should inherit this license information.
//=========================================================
// ---- Patent Notice -------------------------------------
// I have not cared whether this system (hw + sw) causes
// infringement on the patent, copyright, trademark,
// or trade secret rights of others. You have all
// responsibilities for determining if your designs
// and products infringe on the intellectual property
// rights of others, when you use technical information
// included in this system for your business.
//=========================================================
// ---- Disclaimers ---------------------------------------
// The function and reliability of this system are not
// guaranteed. They may cause any damages to loss of
// properties, data, money, profits, life, or business.
// By adopting this system even partially, you assume
// all responsibility for its use.
//=========================================================
*/

#define FRQ 1

#include "lcd.h"
#include "LPC11xx.h"
#include "system_LPC11xx.h"

/* Timer initialize */
void timer_ini(void)
{
	int timer_count;

	LPC_SYSCON->SYSAHBCLKCTRL |= (1 << 10);		//TMR32B1許可
	LPC_TMR32B1->MCR = (1 << 10);		//マッチ時ＴＣをリセット
	LPC_TMR32B1->EMR = (3 << 10);		//マッチ時出力をトグル
	LPC_IOCON->PIO1_4 = 2;				//MAT3出力に設定
	LPC_TMR32B1->PR = 0;				//プリスケーラをクリア
	LPC_TMR32B1->PWMC = 0;				//MAT3のPWMモードをクリア
	timer_count = 48000000 / (4000 * 2);	//4KHzに設定
	LPC_TMR32B1->MR3 = timer_count;
	LPC_TMR32B1->TCR = 0x02;			//TCをリセット
	NVIC_DisableIRQ(TIMER_32_1_IRQn);	//Enable timer interrupt
}

/* Beep */
void beep(void)
{
	LPC_TMR32B1->TCR = 1;	//sound on
	delay_ms(100);
	LPC_TMR32B1->TCR = 0;	//sound off
}
