/*
===============================================================================
 Name        : rtc.h
 Author      : Ichiro Shirasaka
 Version     : Ver.1.0 2012.09.10
 Copyright   : Copyright (C) 2012 Ichiro Shirasaka
 Description : UIEXB TEST MAIN
===============================================================================
*/
#include "driver_config.h"
#include "target_config.h"
#include "type.h"
#include "i2c.h"

extern volatile uint32_t I2CCount;
extern volatile uint8_t I2CMasterBuffer[BUFSIZE];
extern volatile uint8_t I2CSlaveBuffer[BUFSIZE];
extern volatile uint32_t I2CMasterState;
extern volatile uint32_t I2CReadLength, I2CWriteLength;

typedef struct {
	uint16_t	year;	/* 2000..2099 */
	uint8_t		month;	/* 1..12 */
	uint8_t		mday;	/* 1.. 31 */
	uint8_t		wday;	/* 1..7 */
	uint8_t		hour;	/* 0..23 */
	uint8_t		min;	/* 0..59 */
	uint8_t		sec;	/* 0..59 */
} RTC;


void init_rtc(void);
RTC get_rtc(void);
void put_rtc(RTC rtc);
char read_pon(void);
void write_rtc_m(uint8_t subads, uint8_t *buf, uint8_t len);
void write_rtc(uint8_t subads, uint8_t data);
volatile uint8_t *read_rtc_m(uint8_t subads, uint8_t len);
void GPIO_int_set(void);

extern char p_f;	//1S interrupt Flag
